interface Business{
	public void renting();
}
class Lessee implements Business{                          //租房者类
	public void renting(){
		System.out.println("Renting a house.");
	}
}
class Intermediary implements Business{                     //中介类
	private Lessee lessee;
	public Intermediary (){
		lessee = new Lessee();
	}
	public void renting(){
		System.out.println("Charging");                   //收取中介费
		lessee.renting();
	}
}
public class Example12_8{
	public static void main(String[] args){
		Intermediary medium = new Intermediary ();
		medium.renting();
	}
}
